> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wadial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send video

> Send a video message from a connected token.

The token must be paired and `connected: true`.

Use `Idempotency-Key` when retrying the same send.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.wadial.com/api/v1/sessions/{sessionId}/messages/video" \
    -H "Authorization: Bearer $WADIAL_API_KEY" \
    -H "Content-Type: application/json" \
    -H "Idempotency-Key: order-123-video-v1" \
    -d '{"to":"15551234567","content":{"type":"video","mediaUrl":"https://example.com/demo.mp4","mimetype":"video/mp4","caption":"Quick demo"}}'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": {
      "to": "15551234567",
      "contentType": "video",
      "mediaUrl": "https://example.com/demo.mp4",
      "caption": "Quick demo",
      "status": "sent"
    }
  }
  ```
</ResponseExample>
